# https://git.syndicate-lang.org/synit/synit/src/branch/main/packaging/packages/syndicate-server/APKBUILD

{ lib, rustPlatform, rust, fetchFromGitea, pkg-config, openssl }:

rustPlatform.buildRustPackage rec {
  pname = "syndicate-server";
  version = "0.33.1";
  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "syndicate-lang";
    repo = "syndicate-rs";
    rev = "${pname}-v${version}";
    sha256 = "sha256-AWFiJ+eKFBX3YAISe5uhKktxNByHNY2te7ZYg8Uqo7E=";
  };
  cargoHash = "sha256-1IIRtzQI1loip7CkjDLv+nPVg1F+QQyITdiwuVLBLPI=";
  nativeBuildInputs = [ rust pkg-config ];
  buildInputs = [ openssl ];

  meta = {
    description = "Syndicate broker server";
    homepage = "https://git.syndicate-lang.org/syndicate-lang/syndicate-rs/";
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
